Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.action
Class AbstractActionExecutor

    java.lang.Object
      org.teleal.cling.model.action.AbstractActionExecutor

All Implemented Interfaces:
  ActionExecutor

Direct Known Subclasses:
  MethodActionExecutor, QueryStateVariableExecutor

    public abstract class AbstractActionExecutor

extends Object
implements ActionExecutor

Author:
  Christian Bauer

Field Summary
`protected Map<ActionArgument<LocalService>,StateVariableAccessor>` | `outputArgumentAccessors`

Constructor Summary
`protected` | `AbstractActionExecutor()`
`protected` | `AbstractActionExecutor(Map<ActionArgument<LocalService>,StateVariableAccessor> outputArgumentAccessors)`

Method Summary
`void` | `execute(ActionInvocation<LocalService> actionInvocation)`
`protected abstract void` | `execute(ActionInvocation<LocalService> actionInvocation, Object serviceImpl)`
`Map<ActionArgument<LocalService>,StateVariableAccessor>` | `getOutputArgumentAccessors()`
`protected Object` | `readOutputArgumentValues(Action<LocalService> action, Object instance)`
`protected void` | `setOutputArgumentValue(ActionInvocation<LocalService> actionInvocation, ActionArgument<LocalService> argument, Object result)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### outputArgumentAccessors

    protected Map<ActionArgument<LocalService>,StateVariableAccessor> outputArgumentAccessors

Constructor Detail

### AbstractActionExecutor

    protected AbstractActionExecutor()

### AbstractActionExecutor

    protected AbstractActionExecutor(Map<ActionArgument<LocalService>,StateVariableAccessor> outputArgumentAccessors)

Method Detail

### getOutputArgumentAccessors

    public Map<ActionArgument<LocalService>,StateVariableAccessor> getOutputArgumentAccessors()

### execute

    public void execute(ActionInvocation<LocalService> actionInvocation)

  Specified by:
    `execute` in interface `ActionExecutor`

### execute

    protected abstract void execute(ActionInvocation<LocalService> actionInvocation,
                                    Object serviceImpl)
                             throws Exception

  Throws:
    `Exception`

### readOutputArgumentValues

    protected Object readOutputArgumentValues(Action<LocalService> action,
                                              Object instance)
                                       throws Exception

  Throws:
    `Exception`

### setOutputArgumentValue

    protected void setOutputArgumentValue(ActionInvocation<LocalService> actionInvocation,
                                          ActionArgument<LocalService> argument,
                                          Object result)
                                   throws ActionException

  Throws:
    `ActionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.